Package org.springframework.beans.factory

# Interface BeanNameAware

All Superinterfaces:
  `Aware`

All Known Implementing Classes:
  `FieldRetrievingFactoryBean`, `PlaceholderConfigurerSupport`, `PreferencesPlaceholderConfigurer`, `PropertyPathFactoryBean`, `PropertyPlaceholderConfigurer`

public interface BeanNameAware extends Aware
Interface to be implemented by beans that want to be aware of their bean name in a bean factory. Note that it is not usually recommended that an object depends on its bean name, as this represents a potentially brittle dependence on external configuration, as well as a possibly unnecessary dependence on a Spring API.

For a list of all bean lifecycle methods, see the `BeanFactory javadocs`.

Since:
  01.11.2003
Author:
  Juergen Hoeller, Chris Beams
See Also:
  - `BeanClassLoaderAware`
  - `BeanFactoryAware`
  - `InitializingBean`

## Method Summary

Modifier and Type
Method
Description
`void`
`setBeanName(String name)`
Set the name of the bean in the bean factory that created this bean.

## Method Details

### setBeanName

void setBeanName(String name)
Set the name of the bean in the bean factory that created this bean.

Invoked after population of normal bean properties but before an init callback such as `InitializingBean.afterPropertiesSet()` or a custom init-method.

Parameters:
  `name` - the name of the bean in the factory. Note that this name is the actual bean name used in the factory, which may differ from the originally specified name: in particular for inner bean names, the actual bean name might have been made unique through appending "#..." suffixes. Use the `BeanFactoryUtils.originalBeanName(String)` method to extract the original bean name (without suffix), if desired.